> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create an integration

POST https://api.propexo.com/v1/admin/integrations/
Content-Type: application/json

Create an integration

Reference: https://docs.propexo.com/api-reference/configuration-ap-is/admin/create-an-integration

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_admin_integrations__post_input.

- `integration_vendor` (enum, required) — The integration vendor
  - Allowed values: `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `credentials` (V1AdminIntegrationsPostInputCredentials, required) — JSON encoded credentials for accessing the integration vendor API
- `name` (string, required) — The name of the integration
- `sync_frequency` (integer, optional, default: 12) — The interval of the scheduled sync frequency. (e.g. "12" in the following: Sync every 12 HOURs). This value will be used if the use_custom_schedule is set to false.
- `sync_cadence` (enum, optional, default: HOUR) — The cadence of the scheduled sync frequency. (e.g. "HOUR" in the following: Sync every 12 HOURs). This value will be used if the use_custom_schedule is set to false.
  - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND`
- `max_request_cadence` (enum, optional, default: SECOND) — The cadence at which to limit the max request frequency. (e.g. "SECOND" in the following: 1 request per 2 SECONDs). Requests cannot be made less frequently than once per minute
  - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND`
- `max_request_frequency` (double, optional, default: 1) — The maximum number of requests sent to the PMS API per cadence unit. (e.g. "2" in the following: 1 request per 2 SECONDs). Requests cannot be made less frequently than once per minute
- `max_job_concurrency` (integer, optional, default: 1) — Maximum number of jobs that can be run at once for the integration. (e.g. "1" in the following: 1 request per 2 SECONDs)
- `active` (boolean, optional, default: false) — The active state of the integration
- `new_properties_are_enabled` (boolean, optional, default: true) — Whether or not properties need to be approved before by you ingesting data for them.
- `based_on_integration_id` (string, optional) — A reference integration_id to base the creation of an integration on. This includes copying job scheduling frequency and similar configuration. Credentials are not copied and must still be provided.
- `custom_sync_schedule` (V1AdminIntegrationsPostInputCustomSyncSchedule, optional) — A custom sync schedule configuration object which will be respected if use_custom_schedule is set to true
- `use_custom_sync_schedule` (boolean, optional, default: false) — Opt-in to use the configured custom_sync_schedule
- `system` (enum, optional, deprecated) — Deprecated: Do not use
  - Allowed values: `PRODUCTION`, `SANDBOX`
- `base_url` (string, optional, nullable, deprecated) — DEPRECATED. See specific PMS credentials for usage.
- `allow_manual_syncs` (boolean, optional, default: true, deprecated) — Deprecated: This is no longer configurable and will always be true

## Response

### 200

Successful response

- `result` (V1AdminIntegrationsPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1AdminIntegrationsPostInputCredentials

JSON encoded credentials for accessing the integration vendor API

### V1AdminIntegrationsPostInputCustomSyncSchedule

A custom sync schedule configuration object which will be respected if use_custom_schedule is set to true

- `type` (enum, required)
  - Allowed values: `WEEK_BASED`
- `timezone` (enum, required)
  - Allowed values: `UTC`, `America/New_York`, `America/Chicago`, `America/Denver`, `America/Phoenix`, `America/Los_Angeles`, `America/Anchorage`, `Pacific/Honolulu`
- `interval` (V1AdminIntegrationsPostInputCustomSyncScheduleInterval, required)

### V1AdminIntegrationsPostOutputResult

- `id` (string, required) — The unique identifier for the integration
- `created_at` (string, required) — The date the integration was created
- `updated_at` (string, required) — The date the integration was last updated
- `name` (string, required, nullable) — The name of the integration
- `vendor` (enum, required) — The property management system of record
  - Allowed values: `APPFOLIO`, `BUILDIUM`, `ELISEAI`, `ENTRATA`, `FUNNEL`, `KNOCK`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTCAFE`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `active` (boolean, required) — The active state of the integration
- `system` (enum, required) — The system the integration is associated with
  - Allowed values: `PRODUCTION`, `SANDBOX`
- `sync_frequency` (integer, required) — The interval of the scheduled sync frequency. (e.g. "12" in the following: Sync every 12 HOURs). This value will be used if the use_custom_schedule is set to false.
- `sync_cadence` (enum, required) — The cadence of the scheduled sync frequency. (e.g. "HOUR" in the following: Sync every 12 HOURs). This value will be used if the use_custom_schedule is set to false.
  - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND`
- `customer_id` (string, required) — The unique identifier for the customer
- `is_archived` (boolean, required) — Whether or not the integration is archived
- `ping_results` (map from string to string, required)
- `new_properties_are_enabled` (boolean, required) — Whether or not properties need to be approved before ingesting data for them.
- `use_custom_sync_schedule` (boolean, required) — Opt-in to use the configured custom_sync_schedule
- `base_url` (string, required, nullable, deprecated) — DEPRECATED: see specific PMS credentials. Base URL for the integration vendor API
- `max_request_cadence` (enum, optional, default: SECOND) — The cadence at which to limit the max request frequency. (e.g. "SECOND" in the following: 1 request per 2 SECONDs). Requests cannot be made less frequently than once per minute
  - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND`
- `max_request_frequency` (double, optional, default: 1) — The maximum number of requests sent to the PMS API per cadence unit. (e.g. "2" in the following: 1 request per 2 SECONDs). Requests cannot be made less frequently than once per minute
- `max_job_concurrency` (integer, optional, default: 1) — Maximum number of jobs that can be run at once for the integration. (e.g. "1" in the following: 1 request per 2 SECONDs)
- `custom_sync_schedule` (V1AdminIntegrationsPostOutputResultCustomSyncSchedule, optional)
- `allow_manual_syncs` (boolean, optional, default: true, deprecated) — Deprecated: This is no longer configurable and will always be true

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### Entrata

Entrata authentication credentials

- `apiKey` (string, required) — The API key is set at the integration level and used for all customers on the integration. To set a customer level API key, use the dedicated customer credential endpoints.
- `companyId` (string, required)

### MRI

MRI authentication credentials

- `clientId` (string, required)
- `databaseName` (string, required)
- `partnerKey` (string, required)
- `username` (string, required)
- `password` (string, required)
- `baseUrl` (string, required)

### Propertyware REST

Propertyware REST authentication credentials

- `clientId` (string, required)
- `clientSecret` (string, required)
- `systemId` (string, required) — The system/organization ID to query data from

### RealpageRegisteredVendor

RealPage Registered Vendor authentication credentials

- `PMC_ID` (string, required)
- `SITE_ID` (string, required)
- `LICENSE_KEY` (string, required)
- `ONESITE_USERNAME` (string, required)
- `ONESITE_PASSWORD` (string, optional)
- `BASE_URL` (string, optional)
- `ftp_credentials` (V1AdminIntegrationsPostInputCredentialsOneOf4FtpCredentials, optional)

### Propertyware SOAP

Propertyware SOAP authentication credentials

- `username` (string, required)
- `password` (string, required)

### RentManagerSandbox

Rent Manager authentication credentials

- `Username` (string, required)
- `Password` (string, required)
- `companyId` (string, required)

### RentManagerProduction

Rent Manager authentication credentials

- `PartnerToken` (string, required)
- `companyId` (string, required)

### Buildium

Buildium authentication credentials

- `clientId` (string, required)
- `secret` (string, required)

### Resman

ResMan authentication credentials

- `integrationPartnerId` (string, required)
- `accountId` (string, required)
- `apiKey` (string, required)

### AppFolio

AppFolio authentication credentials

- `clientId` (string, required)
- `clientSecret` (string, required)
- `developerId` (string, required)

### RealpagePartnerExchange

RealPage Partner Exchange authentication credentials

- `baseUrl` (string, required)
- `licensekey` (string, required)
- `pmcId` (string, optional) — This is also sometimes referred to as a "client ID"
- `siteId` (string, optional)
- `method_specific` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecific, optional) — If Realpage requires you to have method specific credentials, you can specify them per API method here

### EliseAI

EliseAI authentication credentials

- `apiKey` (string, required)

### Knock

Knock authentication credentials

- `apiKey` (string, required)

### Rentvine

Rentvine authentication credentials

- `apiKey` (string, required)
- `apiSecret` (string, required)
- `companyId` (string, required)
- `portfolioId` (string, optional)

### Yardi

Yardi PMS authentication credentials

- `username` (string, required)
- `password` (string, required)
- `database` (string, required)
- `serverName` (string, required)
- `platform` (string, required)
- `entity` (string, required)
- `license` (string, required) — The license key is set at the integration level and used for all customers on the integration. To set a customer level license key, use the dedicated customer credential endpoints.
- `companyId` (string, required)
- `baseUrl` (string, optional)
- `common_data` (V1AdminIntegrationsPostInputCredentialsOneOf15CommonData, optional) — Specific credentials for the common/resident data interface
- `vendor_invoicing` (V1AdminIntegrationsPostInputCredentialsOneOf15VendorInvoicing, optional) — Specific credentials for the vendor invoicing interface
- `job_cost` (V1AdminIntegrationsPostInputCredentialsOneOf15JobCost, optional) — Specific credentials for the job cost interface
- `guest_card` (V1AdminIntegrationsPostInputCredentialsOneOf15GuestCard, optional) — Specific credentials for the guest card interface
- `resident_transactions` (V1AdminIntegrationsPostInputCredentialsOneOf15ResidentTransactions, optional) — Specific credentials for the resident transactions interface
- `service_requests` (V1AdminIntegrationsPostInputCredentialsOneOf15ServiceRequests, optional) — Specific credentials for the service requests interface

### Yardi REST

Yardi REST authentication credentials

- `username` (string, required)
- `password` (string, required)
- `apitoken` (string, required)
- `interfaceEntity` (string, required)

### V1AdminIntegrationsPostInputCustomSyncScheduleInterval

- `SUNDAY` (V1AdminIntegrationsPostInputCustomSyncScheduleIntervalSunday, optional)
- `MONDAY` (V1AdminIntegrationsPostInputCustomSyncScheduleIntervalMonday, optional)
- `TUESDAY` (V1AdminIntegrationsPostInputCustomSyncScheduleIntervalTuesday, optional)
- `WEDNESDAY` (V1AdminIntegrationsPostInputCustomSyncScheduleIntervalWednesday, optional)
- `THURSDAY` (V1AdminIntegrationsPostInputCustomSyncScheduleIntervalThursday, optional)
- `FRIDAY` (V1AdminIntegrationsPostInputCustomSyncScheduleIntervalFriday, optional)
- `SATURDAY` (V1AdminIntegrationsPostInputCustomSyncScheduleIntervalSaturday, optional)

### V1AdminIntegrationsPostOutputResultCustomSyncSchedule

- `type` (enum, required)
  - Allowed values: `WEEK_BASED`
- `timezone` (enum, required)
  - Allowed values: `UTC`, `America/New_York`, `America/Chicago`, `America/Denver`, `America/Phoenix`, `America/Los_Angeles`, `America/Anchorage`, `Pacific/Honolulu`
- `interval` (V1AdminIntegrationsPostOutputResultCustomSyncScheduleInterval, required)

### V1AdminIntegrationsPostInputCredentialsOneOf4FtpCredentials

- `SFTP_HOST` (string, required)
- `SFTP_PORT` (double, required)
- `SFTP_USERNAME` (string, required)
- `SFTP_PASSWORD` (string, required)
- `SFTP_DIR` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecific

If Realpage requires you to have method specific credentials, you can specify them per API method here

- `insertfollowup` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificInsertfollowup, optional) — The credentials specific to the insertfollowup on the Prospect Management interface.
- `insertprospect` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificInsertprospect, optional) — The credentials specific to the insertprospect on the Prospect Management interface.
- `insertactivity` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificInsertactivity, optional) — The credentials specific to the insertactivity on the Prospect Management interface.
- `addresidentactivitylog` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificAddresidentactivitylog, optional) — The credentials specific to the addresidentactivitylog on the Collections interface.
- `postsinglecharge` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificPostsinglecharge, optional) — The credentials specific to the postsinglecharge on the Transactions interface.
- `addservicerequest` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificAddservicerequest, optional) — The credentials specific to the addservicerequest on the Facilities interface.
- `getscheduledappointments` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetscheduledappointments, optional) — The credentials specific to the getscheduledappointments on the Prospect Management interface.
- `getfloorplanlist` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetfloorplanlist, optional) — The credentials specific to the getfloorplanlist on the Pricing and Availability interface.
- `prospectsearch` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificProspectsearch, optional) — The credentials specific to the prospectsearch on the Prospect Management interface.
- `getactivitytypes` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetactivitytypes, optional) — The credentials specific to the getactivitytypes on the Prospect Management interface.
- `getpicklistprospect` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetpicklistprospect, optional) — The credentials specific to the getpicklistprospect on the Prospect Management interface.
- `getmarketingsourcesbyproperty` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetmarketingsourcesbyproperty, optional) — The credentials specific to the getmarketingsourcesbyproperty on the Prospect Management interface.
- `getleaseinfo` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetleaseinfo, optional) — The credentials specific to the getleaseinfo on the Convergent Billing interface.
- `getleasingagentsbyproperty` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetleasingagentsbyproperty, optional) — The credentials specific to the getleasingagentsbyproperty on the Prospect Management interface.
- `getunitlist` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetunitlist, optional) — The credentials specific to the getunitlist on the Pricing and Availability interface.
- `getsubscriptions` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetsubscriptions, optional) — The credentials specific to the getsubscriptions on the AppPartner interface.
- `getprospectsurveylist` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetprospectsurveylist, optional) — The credentials specific to the getprospectsurveylist on the Survey Interfaces interface.
- `getresidentlistinfo` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetresidentlistinfo, optional) — The credentials specific to the getresidentlistinfo on the Resident Management interface.
- `getresidentconvergent` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetresidentconvergent, optional) — The credentials specific to the getresidentconvergent on the Convergent Billing interface.
- `getresidentactivitytypes` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetresidentactivitytypes, optional) — The credentials specific to the getresidentactivitytypes on the Collections interface.
- `getresidentsactivitylogbydaterange` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetresidentsactivitylogbydaterange, optional) — The credentials specific to the getresidentsactivitylogbydaterange on the Resident Management interface.
- `getresidentledger` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetresidentledger, optional) — The credentials specific to the getresidentledger on the Transactions interface.
- `transactioncodes` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificTransactioncodes, optional) — The credentials specific to the transactioncodes on the Transactions interface.
- `getservicerequest` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetservicerequest, optional) — The credentials specific to the getservicerequest on the Facilities interface.
- `getworkordersurveylist` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetworkordersurveylist, optional) — The credentials specific to the getworkordersurveylist on the Survey Interfaces interface.
- `getserviceissuelist` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetserviceissuelist, optional) — The credentials specific to the getserviceissuelist on the Facilities interface.
- `getlocationlist` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetlocationlist, optional) — The credentials specific to the getlocationlist on the Facilities interface.
- `getwoprioritylist` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetwoprioritylist, optional) — The credentials specific to the getwoprioritylist on the Facilities interface.
- `getunits` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetunits, optional) — The credentials specific to the getunits on the Convergent Billing interface.
- `getunitsbyproperty` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetunitsbyproperty, optional) — The credentials specific to the getunitsbyproperty on the Prospect Management interface.
- `unitlist` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificUnitlist, optional) — The credentials specific to the unitlist on the Units interface.
- `updateprospect` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificUpdateprospect, optional) — The credentials specific to the updateprospect on the Prospect Management interface.
- `updateservicerequest` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificUpdateservicerequest, optional) — The credentials specific to the updateservicerequest on the Facilities interface.
- `getagentsappointmenttimes` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetagentsappointmenttimes, optional) — The credentials specific to the getagentsappointmenttimes on the Prospect Management interface.
- `getsitelist` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetsitelist, optional) — The credentials specific to the getsitelist on the AppPartner interface.
- `updatesitesubscriptionstatus` (V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificUpdatesitesubscriptionstatus, optional) — The credentials specific to the updatesitesubscriptionstatus on the AppPartner interface.

### V1AdminIntegrationsPostInputCredentialsOneOf15CommonData

Specific credentials for the common/resident data interface

- `entity` (string, required)
- `license` (string, required)
- `username` (string, optional)
- `password` (string, optional)
- `database` (string, optional)
- `serverName` (string, optional)
- `platform` (string, optional)
- `companyId` (string, optional)
- `baseUrl` (string, optional)

### V1AdminIntegrationsPostInputCredentialsOneOf15VendorInvoicing

Specific credentials for the vendor invoicing interface

- `entity` (string, required)
- `license` (string, required)
- `username` (string, optional)
- `password` (string, optional)
- `database` (string, optional)
- `serverName` (string, optional)
- `platform` (string, optional)
- `companyId` (string, optional)
- `baseUrl` (string, optional)

### V1AdminIntegrationsPostInputCredentialsOneOf15JobCost

Specific credentials for the job cost interface

- `entity` (string, required)
- `license` (string, required)
- `username` (string, optional)
- `password` (string, optional)
- `database` (string, optional)
- `serverName` (string, optional)
- `platform` (string, optional)
- `companyId` (string, optional)
- `baseUrl` (string, optional)

### V1AdminIntegrationsPostInputCredentialsOneOf15GuestCard

Specific credentials for the guest card interface

- `entity` (string, required)
- `license` (string, required)
- `username` (string, optional)
- `password` (string, optional)
- `database` (string, optional)
- `serverName` (string, optional)
- `platform` (string, optional)
- `companyId` (string, optional)
- `baseUrl` (string, optional)

### V1AdminIntegrationsPostInputCredentialsOneOf15ResidentTransactions

Specific credentials for the resident transactions interface

- `entity` (string, required)
- `license` (string, required)
- `username` (string, optional)
- `password` (string, optional)
- `database` (string, optional)
- `serverName` (string, optional)
- `platform` (string, optional)
- `companyId` (string, optional)
- `baseUrl` (string, optional)

### V1AdminIntegrationsPostInputCredentialsOneOf15ServiceRequests

Specific credentials for the service requests interface

- `entity` (string, required)
- `license` (string, required)
- `username` (string, optional)
- `password` (string, optional)
- `database` (string, optional)
- `serverName` (string, optional)
- `platform` (string, optional)
- `companyId` (string, optional)
- `baseUrl` (string, optional)

### V1AdminIntegrationsPostInputCustomSyncScheduleIntervalSunday

- `slots` (list of V1AdminIntegrationsPostInputCustomSyncScheduleIntervalSundaySlotsItems, required)

### V1AdminIntegrationsPostInputCustomSyncScheduleIntervalMonday

- `slots` (list of V1AdminIntegrationsPostInputCustomSyncScheduleIntervalMondaySlotsItems, required)

### V1AdminIntegrationsPostInputCustomSyncScheduleIntervalTuesday

- `slots` (list of V1AdminIntegrationsPostInputCustomSyncScheduleIntervalTuesdaySlotsItems, required)

### V1AdminIntegrationsPostInputCustomSyncScheduleIntervalWednesday

- `slots` (list of V1AdminIntegrationsPostInputCustomSyncScheduleIntervalWednesdaySlotsItems, required)

### V1AdminIntegrationsPostInputCustomSyncScheduleIntervalThursday

- `slots` (list of V1AdminIntegrationsPostInputCustomSyncScheduleIntervalThursdaySlotsItems, required)

### V1AdminIntegrationsPostInputCustomSyncScheduleIntervalFriday

- `slots` (list of V1AdminIntegrationsPostInputCustomSyncScheduleIntervalFridaySlotsItems, required)

### V1AdminIntegrationsPostInputCustomSyncScheduleIntervalSaturday

- `slots` (list of V1AdminIntegrationsPostInputCustomSyncScheduleIntervalSaturdaySlotsItems, required)

### V1AdminIntegrationsPostOutputResultCustomSyncScheduleInterval

- `SUNDAY` (V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalSunday, optional)
- `MONDAY` (V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalMonday, optional)
- `TUESDAY` (V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalTuesday, optional)
- `WEDNESDAY` (V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalWednesday, optional)
- `THURSDAY` (V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalThursday, optional)
- `FRIDAY` (V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalFriday, optional)
- `SATURDAY` (V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalSaturday, optional)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificInsertfollowup

The credentials specific to the insertfollowup on the Prospect Management interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificInsertprospect

The credentials specific to the insertprospect on the Prospect Management interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificInsertactivity

The credentials specific to the insertactivity on the Prospect Management interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificAddresidentactivitylog

The credentials specific to the addresidentactivitylog on the Collections interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificPostsinglecharge

The credentials specific to the postsinglecharge on the Transactions interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificAddservicerequest

The credentials specific to the addservicerequest on the Facilities interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetscheduledappointments

The credentials specific to the getscheduledappointments on the Prospect Management interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetfloorplanlist

The credentials specific to the getfloorplanlist on the Pricing and Availability interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificProspectsearch

The credentials specific to the prospectsearch on the Prospect Management interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetactivitytypes

The credentials specific to the getactivitytypes on the Prospect Management interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetpicklistprospect

The credentials specific to the getpicklistprospect on the Prospect Management interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetmarketingsourcesbyproperty

The credentials specific to the getmarketingsourcesbyproperty on the Prospect Management interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetleaseinfo

The credentials specific to the getleaseinfo on the Convergent Billing interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetleasingagentsbyproperty

The credentials specific to the getleasingagentsbyproperty on the Prospect Management interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetunitlist

The credentials specific to the getunitlist on the Pricing and Availability interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetsubscriptions

The credentials specific to the getsubscriptions on the AppPartner interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetprospectsurveylist

The credentials specific to the getprospectsurveylist on the Survey Interfaces interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetresidentlistinfo

The credentials specific to the getresidentlistinfo on the Resident Management interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetresidentconvergent

The credentials specific to the getresidentconvergent on the Convergent Billing interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetresidentactivitytypes

The credentials specific to the getresidentactivitytypes on the Collections interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetresidentsactivitylogbydaterange

The credentials specific to the getresidentsactivitylogbydaterange on the Resident Management interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetresidentledger

The credentials specific to the getresidentledger on the Transactions interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificTransactioncodes

The credentials specific to the transactioncodes on the Transactions interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetservicerequest

The credentials specific to the getservicerequest on the Facilities interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetworkordersurveylist

The credentials specific to the getworkordersurveylist on the Survey Interfaces interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetserviceissuelist

The credentials specific to the getserviceissuelist on the Facilities interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetlocationlist

The credentials specific to the getlocationlist on the Facilities interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetwoprioritylist

The credentials specific to the getwoprioritylist on the Facilities interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetunits

The credentials specific to the getunits on the Convergent Billing interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetunitsbyproperty

The credentials specific to the getunitsbyproperty on the Prospect Management interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificUnitlist

The credentials specific to the unitlist on the Units interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificUpdateprospect

The credentials specific to the updateprospect on the Prospect Management interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificUpdateservicerequest

The credentials specific to the updateservicerequest on the Facilities interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetagentsappointmenttimes

The credentials specific to the getagentsappointmenttimes on the Prospect Management interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificGetsitelist

The credentials specific to the getsitelist on the AppPartner interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCredentialsOneOf11MethodSpecificUpdatesitesubscriptionstatus

The credentials specific to the updatesitesubscriptionstatus on the AppPartner interface.

- `baseUrl` (string, required)
- `licensekey` (string, required)

### V1AdminIntegrationsPostInputCustomSyncScheduleIntervalSundaySlotsItems

- `start` (string, required)
- `end` (string, required)
- `sync_frequency` (integer, required)
- `sync_cadence` (enum, required)
  - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND`

### V1AdminIntegrationsPostInputCustomSyncScheduleIntervalMondaySlotsItems

- `start` (string, required)
- `end` (string, required)
- `sync_frequency` (integer, required)
- `sync_cadence` (enum, required)
  - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND`

### V1AdminIntegrationsPostInputCustomSyncScheduleIntervalTuesdaySlotsItems

- `start` (string, required)
- `end` (string, required)
- `sync_frequency` (integer, required)
- `sync_cadence` (enum, required)
  - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND`

### V1AdminIntegrationsPostInputCustomSyncScheduleIntervalWednesdaySlotsItems

- `start` (string, required)
- `end` (string, required)
- `sync_frequency` (integer, required)
- `sync_cadence` (enum, required)
  - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND`

### V1AdminIntegrationsPostInputCustomSyncScheduleIntervalThursdaySlotsItems

- `start` (string, required)
- `end` (string, required)
- `sync_frequency` (integer, required)
- `sync_cadence` (enum, required)
  - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND`

### V1AdminIntegrationsPostInputCustomSyncScheduleIntervalFridaySlotsItems

- `start` (string, required)
- `end` (string, required)
- `sync_frequency` (integer, required)
- `sync_cadence` (enum, required)
  - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND`

### V1AdminIntegrationsPostInputCustomSyncScheduleIntervalSaturdaySlotsItems

- `start` (string, required)
- `end` (string, required)
- `sync_frequency` (integer, required)
- `sync_cadence` (enum, required)
  - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND`

### V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalSunday

- `slots` (list of V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalSundaySlotsItems, required)

### V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalMonday

- `slots` (list of V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalMondaySlotsItems, required)

### V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalTuesday

- `slots` (list of V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalTuesdaySlotsItems, required)

### V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalWednesday

- `slots` (list of V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalWednesdaySlotsItems, required)

### V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalThursday

- `slots` (list of V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalThursdaySlotsItems, required)

### V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalFriday

- `slots` (list of V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalFridaySlotsItems, required)

### V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalSaturday

- `slots` (list of V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalSaturdaySlotsItems, required)

### V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalSundaySlotsItems

- `start` (string, required)
- `end` (string, required)
- `sync_frequency` (integer, required)
- `sync_cadence` (enum, required)
  - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND`

### V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalMondaySlotsItems

- `start` (string, required)
- `end` (string, required)
- `sync_frequency` (integer, required)
- `sync_cadence` (enum, required)
  - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND`

### V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalTuesdaySlotsItems

- `start` (string, required)
- `end` (string, required)
- `sync_frequency` (integer, required)
- `sync_cadence` (enum, required)
  - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND`

### V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalWednesdaySlotsItems

- `start` (string, required)
- `end` (string, required)
- `sync_frequency` (integer, required)
- `sync_cadence` (enum, required)
  - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND`

### V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalThursdaySlotsItems

- `start` (string, required)
- `end` (string, required)
- `sync_frequency` (integer, required)
- `sync_cadence` (enum, required)
  - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND`

### V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalFridaySlotsItems

- `start` (string, required)
- `end` (string, required)
- `sync_frequency` (integer, required)
- `sync_cadence` (enum, required)
  - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND`

### V1AdminIntegrationsPostOutputResultCustomSyncScheduleIntervalSaturdaySlotsItems

- `start` (string, required)
- `end` (string, required)
- `sync_frequency` (integer, required)
- `sync_cadence` (enum, required)
  - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND`

## Examples

**Request**

```json
{
  "integration_vendor": "APPFOLIO",
  "name": "string"
}
```

**Response**

```json
{
  "result": {
    "id": "string",
    "created_at": "string",
    "updated_at": "string",
    "name": "string",
    "vendor": "APPFOLIO",
    "active": true,
    "system": "PRODUCTION",
    "sync_frequency": 1,
    "sync_cadence": "MINUTE",
    "customer_id": "string",
    "is_archived": true,
    "ping_results": {},
    "new_properties_are_enabled": true,
    "use_custom_sync_schedule": true,
    "base_url": "string",
    "max_request_cadence": "SECOND",
    "max_request_frequency": 10,
    "max_job_concurrency": 1,
    "custom_sync_schedule": {
      "type": "WEEK_BASED",
      "timezone": "UTC",
      "interval": {
        "SUNDAY": {
          "slots": [
            {
              "start": "string",
              "end": "string",
              "sync_frequency": 1,
              "sync_cadence": "MINUTE"
            }
          ]
        },
        "MONDAY": {
          "slots": [
            {
              "start": "string",
              "end": "string",
              "sync_frequency": 1,
              "sync_cadence": "MINUTE"
            }
          ]
        },
        "TUESDAY": {
          "slots": [
            {
              "start": "string",
              "end": "string",
              "sync_frequency": 1,
              "sync_cadence": "MINUTE"
            }
          ]
        },
        "WEDNESDAY": {
          "slots": [
            {
              "start": "string",
              "end": "string",
              "sync_frequency": 1,
              "sync_cadence": "MINUTE"
            }
          ]
        },
        "THURSDAY": {
          "slots": [
            {
              "start": "string",
              "end": "string",
              "sync_frequency": 1,
              "sync_cadence": "MINUTE"
            }
          ]
        },
        "FRIDAY": {
          "slots": [
            {
              "start": "string",
              "end": "string",
              "sync_frequency": 1,
              "sync_cadence": "MINUTE"
            }
          ]
        },
        "SATURDAY": {
          "slots": [
            {
              "start": "string",
              "end": "string",
              "sync_frequency": 1,
              "sync_cadence": "MINUTE"
            }
          ]
        }
      }
    },
    "allow_manual_syncs": true
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/admin/integrations/"

payload = {
    "integration_vendor": "APPFOLIO",
    "name": "string"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/admin/integrations/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_vendor":"APPFOLIO","name":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/admin/integrations/"

	payload := strings.NewReader("{\n  \"integration_vendor\": \"APPFOLIO\",\n  \"name\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/admin/integrations/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_vendor\": \"APPFOLIO\",\n  \"name\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/admin/integrations/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_vendor\": \"APPFOLIO\",\n  \"name\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/admin/integrations/', [
  'body' => '{
  "integration_vendor": "APPFOLIO",
  "name": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/admin/integrations/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_vendor\": \"APPFOLIO\",\n  \"name\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_vendor": "APPFOLIO",
  "name": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/admin/integrations/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```